<?php

/**
 * KataoSupplierInvoiceOrder form base class.
 *
 * @package    form
 * @subpackage katao_supplier_invoice_order
 * @version    SVN: $Id: sfPropelFormGeneratedTemplate.php 15484 2009-02-13 13:13:51Z fabien $
 */
class BaseKataoSupplierInvoiceOrderForm extends BaseFormPropel
{
  public function setup()
  {
    $this->setWidgets(array(
      'katao_supplier_invoice_id' => new sfWidgetFormInputHidden(),
      'katao_order_id'            => new sfWidgetFormInputHidden(),
    ));

    $this->setValidators(array(
      'katao_supplier_invoice_id' => new sfValidatorPropelChoice(array('model' => 'KataoSupplierInvoice', 'column' => 'id', 'required' => false)),
      'katao_order_id'            => new sfValidatorPropelChoice(array('model' => 'KataoOrder', 'column' => 'id', 'required' => false)),
    ));

    $this->widgetSchema->setNameFormat('katao_supplier_invoice_order[%s]');

    $this->errorSchema = new sfValidatorErrorSchema($this->validatorSchema);

    parent::setup();
  }

  public function getModelName()
  {
    return 'KataoSupplierInvoiceOrder';
  }


}
